/**
 * GetIP.cpp
 * 
 * Gets the current IP address of the machine.
 * @author Bryan Varner
 * @version 1.5 7.01.2002
 *
 * Change Log:
 *   1.5 - Created libgetip GetIP command now links to this library.
 *
 * This software is Public Domain. Feel free to use this in any way.
 */
#include "libgetip.h"

char* GetIPAddress(){
	struct in_addr addr;
	
	BNetEndpoint endpt(SOCK_DGRAM); // Create an endpoint (socket)
	
	if (endpt.InitCheck() < B_OK){
		printf("Could not create Endpoint.\n");
		return "";
	}

	if (endpt.Bind(0) < B_OK) {  // Bind to a random port
		printf("Could not bind to port.\n");
		return "";
	}
	
	BNetAddress	myAddress = endpt.LocalAddr(); // Get the local address
	myAddress.GetAddr(addr);
	
	endpt.Close(); // Close the socket.

	return inet_ntoa(addr);
}